GroovyPageResourceScriptSource (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.gsp.io

## [Java] Class GroovyPageResourceScriptSource

- org.grails.gsp.io.GroovyPageResourceScriptSource

- All Implemented Interfaces and Traits:
    GroovyPageScriptSource

      public class GroovyPageResourceScriptSource
      extends org.springframework.scripting.support.ResourceScriptSource

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPageResourceScriptSource (java.lang.String uri, org.springframework.core.io.Resource resource)` Create a new ResourceScriptSource for the given resource.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getURI()`
    `` | `boolean` | `isPublic()` Whether the GSP is publicly accessible directly, or only usable using internal rendering
    `` | `static boolean` | `isPublicPath(java.lang.String path)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.scripting.support.ResourceScriptSource` | `org.springframework.scripting.support.ResourceScriptSource#toString(), org.springframework.scripting.support.ResourceScriptSource#getResource(), org.springframework.scripting.support.ResourceScriptSource#setEncoding(java.lang.String), org.springframework.scripting.support.ResourceScriptSource#isModified(), org.springframework.scripting.support.ResourceScriptSource#getScriptAsString(), org.springframework.scripting.support.ResourceScriptSource#suggestedClassName(), org.springframework.scripting.support.ResourceScriptSource#wait(long, int), org.springframework.scripting.support.ResourceScriptSource#wait(long), org.springframework.scripting.support.ResourceScriptSource#wait(), org.springframework.scripting.support.ResourceScriptSource#equals(java.lang.Object), org.springframework.scripting.support.ResourceScriptSource#hashCode(), org.springframework.scripting.support.ResourceScriptSource#getClass(), org.springframework.scripting.support.ResourceScriptSource#notify(), org.springframework.scripting.support.ResourceScriptSource#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyPageResourceScriptSource(java.lang.String uri, org.springframework.core.io.Resource resource)

      Create a new ResourceScriptSource for the given resource.

      Parameters:
        `uri` - The URI of the resource
        `resource` - the Resource to load the script from

  - ### Method Detail

    - #### public java.lang.String getURI()

    - #### public boolean isPublic()

      Whether the GSP is publicly accessible directly, or only usable using internal rendering

      Returns:
        true if it can be rendered publicly

    - #### public static boolean isPublicPath(java.lang.String path)